clang 10.0.0git

Classes | Namespaces
CallGraph.h File Reference
`#include "clang/AST/Decl.h"`
`#include "clang/AST/RecursiveASTVisitor.h"`
`#include "llvm/ADT/DenseMap.h"`
`#include "llvm/ADT/GraphTraits.h"`
`#include "llvm/ADT/STLExtras.h"`
`#include "llvm/ADT/SetVector.h"`
`#include "llvm/ADT/SmallVector.h"`
`#include <memory>`
Include dependency graph for CallGraph.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | clang::CallGraph
| The AST-based call graph. More...
class | clang::CallGraphNode
struct | llvm::GraphTraits< clang::CallGraphNode * >
struct | llvm::GraphTraits< const clang::CallGraphNode * >
struct | llvm::GraphTraits< clang::CallGraph * >
struct | llvm::GraphTraits< const clang::CallGraph * >

## Namespaces
| clang
| Dataflow Directional Tag Classes.
| llvm
| Specialize PointerLikeTypeTraits to allow LazyGenerationalUpdatePtr to be placed into a PointerUnion.